---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK8_x86-64_mac_Personal/build/macosx-x86_64-normal-server-release/jdk/lib/libosxapp.dylib'
relocations:
  - { offsetInCU: 0x27, offset: 0x27, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT init]', symObjAddr: 0x0, symBinAddr: 0x3C83, symSize: 0xA7 }
  - { offsetInCU: 0x40, offset: 0x40, size: 0x8, addend: 0x0, symName: _postEventDuringEventSynthesis, symObjAddr: 0x2D1BF, symBinAddr: 0x223B8, symSize: 0x0 }
  - { offsetInCU: 0x419, offset: 0x419, size: 0x8, addend: 0x0, symName: _sUsingDefaultNIB, symObjAddr: 0x2D1C0, symBinAddr: 0x223C8, symSize: 0x0 }
  - { offsetInCU: 0x436, offset: 0x436, size: 0x8, addend: 0x0, symName: _applicationDelegate, symObjAddr: 0x2D1C8, symBinAddr: 0x223D0, symSize: 0x0 }
  - { offsetInCU: 0x46A, offset: 0x46A, size: 0x8, addend: 0x0, symName: _qad, symObjAddr: 0x2D1D0, symBinAddr: 0x223D8, symSize: 0x0 }
  - { offsetInCU: 0x514, offset: 0x514, size: 0x8, addend: 0x0, symName: _sAWTIconData, symObjAddr: 0x2470, symBinAddr: 0xD3C0, symSize: 0x0 }
  - { offsetInCU: 0x44F8, offset: 0x44F8, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT init]', symObjAddr: 0x0, symBinAddr: 0x3C83, symSize: 0xA7 }
  - { offsetInCU: 0x4562, offset: 0x4562, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT dealloc]', symObjAddr: 0xA7, symBinAddr: 0x3D2A, symSize: 0x4E }
  - { offsetInCU: 0x459D, offset: 0x459D, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT finishLaunching]', symObjAddr: 0xF5, symBinAddr: 0x3D78, symSize: 0x3BD }
  - { offsetInCU: 0x491E, offset: 0x491E, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT registerWithProcessManager]', symObjAddr: 0x4B2, symBinAddr: 0x4135, symSize: 0x472 }
  - { offsetInCU: 0x4CFD, offset: 0x4CFD, size: 0x8, addend: 0x0, symName: '___46-[NSApplicationAWT registerWithProcessManager]_block_invoke', symObjAddr: 0x924, symBinAddr: 0x45A7, symSize: 0x5A }
  - { offsetInCU: 0x4E33, offset: 0x4E33, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT setDockIconWithEnv:]', symObjAddr: 0x97E, symBinAddr: 0x4601, symSize: 0x189 }
  - { offsetInCU: 0x4FC8, offset: 0x4FC8, size: 0x8, addend: 0x0, symName: '+[NSApplicationAWT runAWTLoopWithApp:]', symObjAddr: 0xB07, symBinAddr: 0x478A, symSize: 0xF0 }
  - { offsetInCU: 0x508D, offset: 0x508D, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT usingDefaultNib]', symObjAddr: 0xBF7, symBinAddr: 0x487A, symSize: 0x10 }
  - { offsetInCU: 0x50BE, offset: 0x50BE, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT orderFrontStandardAboutPanelWithOptions:]', symObjAddr: 0xC07, symBinAddr: 0x488A, symSize: 0x114 }
  - { offsetInCU: 0x51A5, offset: 0x51A5, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT nextEventMatchingMask:untilDate:inMode:dequeue:]', symObjAddr: 0xD1B, symBinAddr: 0x499E, symSize: 0x8F }
  - { offsetInCU: 0x523C, offset: 0x523C, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT sendEvent:]', symObjAddr: 0xDAA, symBinAddr: 0x4A2D, symSize: 0x186 }
  - { offsetInCU: 0x5389, offset: 0x5389, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT postRunnableEvent:]', symObjAddr: 0xF30, symBinAddr: 0x4BB3, symSize: 0x9A }
  - { offsetInCU: 0x545C, offset: 0x545C, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT postDummyEvent:]', symObjAddr: 0xFCA, symBinAddr: 0x4C4D, symSize: 0x121 }
  - { offsetInCU: 0x55AC, offset: 0x55AC, size: 0x8, addend: 0x0, symName: '-[NSApplicationAWT waitForDummyEvent:]', symObjAddr: 0x10EB, symBinAddr: 0x4D6E, symSize: 0xA7 }
  - { offsetInCU: 0x5664, offset: 0x5664, size: 0x8, addend: 0x0, symName: _OSXAPP_SetApplicationDelegate, symObjAddr: 0x1192, symBinAddr: 0x4E15, symSize: 0xA9 }
  - { offsetInCU: 0x27, offset: 0x85CB, size: 0x8, addend: 0x0, symName: '+[PropertiesUtilities javaSystemPropertyForKey:withEnv:]', symObjAddr: 0x0, symBinAddr: 0x4EBE, symSize: 0x6C }
  - { offsetInCU: 0x42, offset: 0x85E6, size: 0x8, addend: 0x0, symName: '+[PropertiesUtilities javaSystemPropertyForKey:withEnv:]', symObjAddr: 0x0, symBinAddr: 0x4EBE, symSize: 0x6C }
  - { offsetInCU: 0x6B, offset: 0x860F, size: 0x8, addend: 0x0, symName: '_javaSystemPropertyForKey:withEnv:.jc_System', symObjAddr: 0x70, symBinAddr: 0x222C0, symSize: 0x0 }
  - { offsetInCU: 0x80, offset: 0x8624, size: 0x8, addend: 0x0, symName: '_javaSystemPropertyForKey:withEnv:._jm_getProperty', symObjAddr: 0x80, symBinAddr: 0x222D0, symSize: 0x0 }
  - { offsetInCU: 0x27, offset: 0xB0C2, size: 0x8, addend: 0x0, symName: '-[NSBundle(EAWTOverrides) _hasEAWTOverride:]', symObjAddr: 0x0, symBinAddr: 0x4F2A, symSize: 0x61 }
  - { offsetInCU: 0x34, offset: 0xB0CF, size: 0x8, addend: 0x0, symName: '+[QueuingApplicationDelegate sharedDelegate]', symObjAddr: 0x61, symBinAddr: 0x4F8B, symSize: 0x25 }
  - { offsetInCU: 0x5D, offset: 0xB0F8, size: 0x8, addend: 0x0, symName: _sharedDelegate.qad, symObjAddr: 0x13908, symBinAddr: 0x223E0, symSize: 0x0 }
  - { offsetInCU: 0xB6E, offset: 0xBC09, size: 0x8, addend: 0x0, symName: '-[NSBundle(EAWTOverrides) _hasEAWTOverride:]', symObjAddr: 0x0, symBinAddr: 0x4F2A, symSize: 0x61 }
  - { offsetInCU: 0xBF9, offset: 0xBC94, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate init]', symObjAddr: 0x86, symBinAddr: 0x4FB0, symSize: 0x213 }
  - { offsetInCU: 0xDD5, offset: 0xBE70, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate dealloc]', symObjAddr: 0x299, symBinAddr: 0x51C3, symSize: 0xC3 }
  - { offsetInCU: 0xE99, offset: 0xBF34, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _handleOpenURLEvent:withReplyEvent:]', symObjAddr: 0x35C, symBinAddr: 0x5286, symSize: 0xAA }
  - { offsetInCU: 0xF6D, offset: 0xC008, size: 0x8, addend: 0x0, symName: '___65-[QueuingApplicationDelegate _handleOpenURLEvent:withReplyEvent:]_block_invoke', symObjAddr: 0x406, symBinAddr: 0x5330, symSize: 0x4F }
  - { offsetInCU: 0xFF3, offset: 0xC08E, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o40o48o, symObjAddr: 0x455, symBinAddr: 0x537F, symSize: 0x4A }
  - { offsetInCU: 0x1019, offset: 0xC0B4, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o40o48o, symObjAddr: 0x49F, symBinAddr: 0x53C9, symSize: 0x39 }
  - { offsetInCU: 0x1036, offset: 0xC0D1, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate application:openFiles:]', symObjAddr: 0x4D8, symBinAddr: 0x5402, symSize: 0x90 }
  - { offsetInCU: 0x10BC, offset: 0xC157, size: 0x8, addend: 0x0, symName: '___52-[QueuingApplicationDelegate application:openFiles:]_block_invoke', symObjAddr: 0x568, symBinAddr: 0x5492, symSize: 0x3A }
  - { offsetInCU: 0x112C, offset: 0xC1C7, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate application:printFiles:withSettings:showPrintPanels:]', symObjAddr: 0x5A2, symBinAddr: 0x54CC, symSize: 0xB3 }
  - { offsetInCU: 0x11CE, offset: 0xC269, size: 0x8, addend: 0x0, symName: '___82-[QueuingApplicationDelegate application:printFiles:withSettings:showPrintPanels:]_block_invoke', symObjAddr: 0x655, symBinAddr: 0x557F, symSize: 0x43 }
  - { offsetInCU: 0x125C, offset: 0xC2F7, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o40o48o56o, symObjAddr: 0x698, symBinAddr: 0x55C2, symSize: 0x5C }
  - { offsetInCU: 0x1282, offset: 0xC31D, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o40o48o56o, symObjAddr: 0x6F4, symBinAddr: 0x561E, symSize: 0x47 }
  - { offsetInCU: 0x129F, offset: 0xC33A, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _willFinishLaunching]', symObjAddr: 0x73B, symBinAddr: 0x5665, symSize: 0x7A }
  - { offsetInCU: 0x1306, offset: 0xC3A1, size: 0x8, addend: 0x0, symName: '___50-[QueuingApplicationDelegate _willFinishLaunching]_block_invoke', symObjAddr: 0x7B5, symBinAddr: 0x56DF, symSize: 0x37 }
  - { offsetInCU: 0x1358, offset: 0xC3F3, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o, symObjAddr: 0x7EC, symBinAddr: 0x5716, symSize: 0x17 }
  - { offsetInCU: 0x137E, offset: 0xC419, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o, symObjAddr: 0x803, symBinAddr: 0x572D, symSize: 0x13 }
  - { offsetInCU: 0x139B, offset: 0xC436, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate applicationShouldHandleReopen:hasVisibleWindows:]', symObjAddr: 0x816, symBinAddr: 0x5740, symSize: 0x93 }
  - { offsetInCU: 0x1425, offset: 0xC4C0, size: 0x8, addend: 0x0, symName: '___78-[QueuingApplicationDelegate applicationShouldHandleReopen:hasVisibleWindows:]_block_invoke', symObjAddr: 0x8A9, symBinAddr: 0x57D3, symSize: 0x3A }
  - { offsetInCU: 0x1495, offset: 0xC530, size: 0x8, addend: 0x0, symName: ___copy_helper_block_e8_32o40o, symObjAddr: 0x8E3, symBinAddr: 0x580D, symSize: 0x38 }
  - { offsetInCU: 0x14BB, offset: 0xC556, size: 0x8, addend: 0x0, symName: ___destroy_helper_block_e8_32o40o, symObjAddr: 0x91B, symBinAddr: 0x5845, symSize: 0x2B }
  - { offsetInCU: 0x14D8, offset: 0xC573, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate applicationShouldTerminate:]', symObjAddr: 0x946, symBinAddr: 0x5870, symSize: 0x8A }
  - { offsetInCU: 0x1553, offset: 0xC5EE, size: 0x8, addend: 0x0, symName: '___57-[QueuingApplicationDelegate applicationShouldTerminate:]_block_invoke', symObjAddr: 0x9D0, symBinAddr: 0x58FA, symSize: 0x36 }
  - { offsetInCU: 0x15B4, offset: 0xC64F, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _systemWillPowerOff]', symObjAddr: 0xA06, symBinAddr: 0x5930, symSize: 0x7A }
  - { offsetInCU: 0x161B, offset: 0xC6B6, size: 0x8, addend: 0x0, symName: '___49-[QueuingApplicationDelegate _systemWillPowerOff]_block_invoke', symObjAddr: 0xA80, symBinAddr: 0x59AA, symSize: 0x37 }
  - { offsetInCU: 0x166D, offset: 0xC708, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _appDidActivate]', symObjAddr: 0xAB7, symBinAddr: 0x59E1, symSize: 0x7A }
  - { offsetInCU: 0x16D4, offset: 0xC76F, size: 0x8, addend: 0x0, symName: '___45-[QueuingApplicationDelegate _appDidActivate]_block_invoke', symObjAddr: 0xB31, symBinAddr: 0x5A5B, symSize: 0x37 }
  - { offsetInCU: 0x1726, offset: 0xC7C1, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _appDidDeactivate]', symObjAddr: 0xB68, symBinAddr: 0x5A92, symSize: 0x7A }
  - { offsetInCU: 0x178D, offset: 0xC828, size: 0x8, addend: 0x0, symName: '___47-[QueuingApplicationDelegate _appDidDeactivate]_block_invoke', symObjAddr: 0xBE2, symBinAddr: 0x5B0C, symSize: 0x37 }
  - { offsetInCU: 0x17DF, offset: 0xC87A, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _appDidHide]', symObjAddr: 0xC19, symBinAddr: 0x5B43, symSize: 0x7A }
  - { offsetInCU: 0x1846, offset: 0xC8E1, size: 0x8, addend: 0x0, symName: '___41-[QueuingApplicationDelegate _appDidHide]_block_invoke', symObjAddr: 0xC93, symBinAddr: 0x5BBD, symSize: 0x37 }
  - { offsetInCU: 0x1898, offset: 0xC933, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate _appDidUnhide]', symObjAddr: 0xCCA, symBinAddr: 0x5BF4, symSize: 0x7A }
  - { offsetInCU: 0x18FF, offset: 0xC99A, size: 0x8, addend: 0x0, symName: '___43-[QueuingApplicationDelegate _appDidUnhide]_block_invoke', symObjAddr: 0xD44, symBinAddr: 0x5C6E, symSize: 0x37 }
  - { offsetInCU: 0x1951, offset: 0xC9EC, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate processQueuedEventsWithTargetDelegate:]', symObjAddr: 0xD7B, symBinAddr: 0x5CA5, symSize: 0xBB }
  - { offsetInCU: 0x1A5F, offset: 0xCAFA, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate realDelegate]', symObjAddr: 0xE36, symBinAddr: 0x5D60, symSize: 0x14 }
  - { offsetInCU: 0x1A93, offset: 0xCB2E, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate setRealDelegate:]', symObjAddr: 0xE4A, symBinAddr: 0x5D74, symSize: 0xF }
  - { offsetInCU: 0x1ACE, offset: 0xCB69, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate queue]', symObjAddr: 0xE59, symBinAddr: 0x5D83, symSize: 0x14 }
  - { offsetInCU: 0x1B02, offset: 0xCB9D, size: 0x8, addend: 0x0, symName: '-[QueuingApplicationDelegate setQueue:]', symObjAddr: 0xE6D, symBinAddr: 0x5D97, symSize: 0xF }
  - { offsetInCU: 0x27, offset: 0x1061D, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities getJNIEnv]', symObjAddr: 0x0, symBinAddr: 0x5DA6, symSize: 0xC3 }
  - { offsetInCU: 0x40, offset: 0x10636, size: 0x8, addend: 0x0, symName: _jvm, symObjAddr: 0x6268, symBinAddr: 0x223C0, symSize: 0x0 }
  - { offsetInCU: 0x13D, offset: 0x10733, size: 0x8, addend: 0x0, symName: _appKitEnv, symObjAddr: 0x6270, symBinAddr: 0x223E8, symSize: 0x0 }
  - { offsetInCU: 0x28A4, offset: 0x12E9A, size: 0x8, addend: 0x0, symName: _appkitThreadGroup, symObjAddr: 0x6278, symBinAddr: 0x223F0, symSize: 0x0 }
  - { offsetInCU: 0x28B9, offset: 0x12EAF, size: 0x8, addend: 0x0, symName: _awtEmbedded, symObjAddr: 0x6280, symBinAddr: 0x223F8, symSize: 0x0 }
  - { offsetInCU: 0x292B, offset: 0x12F21, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities getJNIEnv]', symObjAddr: 0x0, symBinAddr: 0x5DA6, symSize: 0xC3 }
  - { offsetInCU: 0x29C0, offset: 0x12FB6, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities getJNIEnvUncached]', symObjAddr: 0xC3, symBinAddr: 0x5E69, symSize: 0x75 }
  - { offsetInCU: 0x2A49, offset: 0x1303F, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities detachCurrentThread]', symObjAddr: 0x138, symBinAddr: 0x5EDE, symSize: 0x12 }
  - { offsetInCU: 0x2A80, offset: 0x13076, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities setAppkitThreadGroup:]', symObjAddr: 0x14A, symBinAddr: 0x5EF0, symSize: 0xD }
  - { offsetInCU: 0x2AB9, offset: 0x130AF, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities performOnMainThreadWaiting:block:]', symObjAddr: 0x157, symBinAddr: 0x5EFD, symSize: 0x59 }
  - { offsetInCU: 0x2B32, offset: 0x13128, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities performOnMainThread:on:withObject:waitUntilDone:]', symObjAddr: 0x1B0, symBinAddr: 0x5F56, symSize: 0x7C }
  - { offsetInCU: 0x2BE1, offset: 0x131D7, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities setAWTEmbedded:]', symObjAddr: 0x22C, symBinAddr: 0x5FD2, symSize: 0xC }
  - { offsetInCU: 0x2C1A, offset: 0x13210, size: 0x8, addend: 0x0, symName: '+[ThreadUtilities isAWTEmbedded]', symObjAddr: 0x238, symBinAddr: 0x5FDE, symSize: 0xD }
  - { offsetInCU: 0x2C4A, offset: 0x13240, size: 0x8, addend: 0x0, symName: _OSXAPP_SetJavaVM, symObjAddr: 0x245, symBinAddr: 0x5FEB, symSize: 0xD }
...
